Cant find Powershell NuGet 2.8.5.201 Provider version to download

Trying to install Power CLI on windwos server 2012 r2.

But I receive this error message when Im trying to Find Module Power CLI in POwershell 5.0:

“PowershellGet requires BuNuGet provider version '2.8.5.201 or newer…Do you want PowershellGet to install and import the Nuget provicer now”

I click yes and then I recieve the error message “…unable to connect to internet…”

Of course we have no internet connection due to security reasons. Then I try to find the installation file

instead but cant find it on powershellGallery - version '‘2.8.5.201 or newer’

Really appreciate your answer!

:0)

 

 

 

Find it here:

 

But it does not seem quite easy to install NuGet:
Powershell: How do I install the Nuget provider for PowerShell on a unconnected machine so I can install a nuget package from the PS command line? - Stack Overflow